<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


// create new module related table
	$table = TABLE_PREFIX . "mod_content_collector";

	// first drop if exists
	$query = 'DROP TABLE IF EXISTS `' . $table . '`';
	try	
	{
		$database->query( $query );
		if ( $database->is_error() == TRUE ):
			throw new Exception('Failure during execution of :' . $query );
		endif;
	}
	catch (Exception $e)
	{
		echo 'Caught exception: ',  $e->getMessage(), "\n";
	}

	// then create
	$query = 'CREATE TABLE `' . $table . '` (
				  `section_id`				INT(11) 		NOT NULL DEFAULT "0"
				, `page_id` 				INT(11) 		NOT NULL DEFAULT "0"
				, `start_from_page`			INT(11) 		NOT NULL DEFAULT "0"
				, `run_with_menu`			INT(11) 		NOT NULL DEFAULT "0"
				, `addon_page_start`		TEXT 			NULL
				, `addon_section_start`		TEXT 			NULL
				, `addon_section_end`		TEXT 			NULL
				, `addon_page_end`			TEXT 			NULL
				, `in_ex_clude`				CHAR(1)			NULL
				, `in_ex_clude_list`		TEXT 			NULL
				, PRIMARY KEY (`section_id`)
				)';
	try	
	{
		$database->query( $query );
		if ( $database->is_error() == TRUE ):
			throw new Exception('Failure during execution of :' . $query );
		endif;
	}
	catch (Exception $e)
	{
		echo 'Caught exception: ',  $e->getMessage(), "\n";
	}
?>
