<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


//Modul Description
	$module_description = "This module collects all page content from a defined start page onwards and show it.";

//Variables for the backend
	$MOD_CONTENT_COLLECTOR['START_FROM_PAGE']		= "Start from page";
	$MOD_CONTENT_COLLECTOR['RUN_WITH_MENU']		= "Use Menu";
	$MOD_CONTENT_COLLECTOR['ADDON_PAGE_START']		= "Pre Page";
	$MOD_CONTENT_COLLECTOR['ADDON_SECTION_START']	= "Pre Section";
	$MOD_CONTENT_COLLECTOR['ADDON_SECTION_END']	= "Post Section";
	$MOD_CONTENT_COLLECTOR['ADDON_PAGE_END']		= "Post Page";

	$MOD_CONTENT_COLLECTOR['SM2_ROOT']				= "SM2_ROOT";
	$MOD_CONTENT_COLLECTOR['SM2_ALLMENU']			= "SM2_ALLMENU";

	$MOD_CONTENT_COLLECTOR['MISSING_PERMISSION']	= "!!! Missing Permissions !!!";
	$MOD_CONTENT_COLLECTOR['PAGE_NOT_VISIBLE']		= "!!! This page is not visible in frontend !!!";
	$MOD_CONTENT_COLLECTOR['DELETED_PAGE']			= "!!! Page marked as deleted !!!";
	$MOD_CONTENT_COLLECTOR['START_LATER']			= "!!! Section is not yet valid !!!";
	$MOD_CONTENT_COLLECTOR['END_PASSED']			= "!!! Section is no longer valid !!!";
	$MOD_CONTENT_COLLECTOR['INVALID_MODULE']		= "!!! This module is always excluded !!!";

	$MOD_CONTENT_COLLECTOR['ERROR_CREATE_FIRST']	= "Please save first!";
	$MOD_CONTENT_COLLECTOR['ERROR_MISSING_PAGE']	= "Value for '" . $MOD_CONTENT_COLLECTOR['START_FROM_PAGE'] . "' is missing!";
	$MOD_CONTENT_COLLECTOR['ERROR_MISSING_MENU']	= "Value for '" . $MOD_CONTENT_COLLECTOR['RUN_WITH_MENU'] . "' is missing!";

	$MOD_CONTENT_COLLECTOR['PLACEHOLDERS']			= "Placeholders";
	$MOD_CONTENT_COLLECTOR['PLACEHOLDERS_TEXT']	= "Following placeholders can be used:";
	$MOD_CONTENT_COLLECTOR['PLACEHOLDERS_SHOW']	= "Show";

	$MOD_CONTENT_COLLECTOR['IN_EX_CLUDE']			= "Pages & Sections";
	$MOD_CONTENT_COLLECTOR['IN_EX_CLUDE_SELECT']	= "";
	$MOD_CONTENT_COLLECTOR['INCLUDE']				= "Only the selected ones";
	$MOD_CONTENT_COLLECTOR['EXCLUDE']				= "All except the selected ones";
	$MOD_CONTENT_COLLECTOR['SELECT']				= "Select";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE']			= "ATTENTION: Unsaved data get lost when cklick on this button!";

	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']		= "ATTENTION: Due to various reasons, pages and/or sections might be excluded during runtime regardless if you have marked them for exclusion.<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "Such reasons can be :<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "- visitor has missing access rights<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "- page is marked for deletion<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "- section has been outdated<br/>";
	$MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']	   .= "...";

?>
