<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


// extend placeholders at page level
	$placeholders[ '{{ FIRST_SECTION_ON_PAGE }}' ]		= $result['section_id'];
	$placeholders[ '{{ PAGE_ID }}' ]					= $result['page_id'];
	$placeholders[ '{{ PAGE_URL }}' ]					= LEPTON_URL . '/' . PAGES_DIRECTORY . $result['link'] . PAGE_EXTENSION;
	$placeholders[ '{{ PAGE_LINK }}' ]					= $result['link'];
	$placeholders[ '{{ PAGE_TITLE }}' ]					= $result['page_title'];
	$placeholders[ '{{ PAGE_MENU_TITLE }}' ]			= $result['menu_title'];
	$placeholders[ '{{ PAGE_DESCRIPTION }}' ]			= $result['description'];
	$placeholders[ '{{ PAGE_KEYWORDS }}' ]				= $result['keywords'];
	$placeholders[ '{{ PAGE_MODIFIED_DATE }}' ]			= date(DATE_FORMAT, $result['modified_when'] );
	$placeholders[ '{{ PAGE_MODIFIED_TIME }}' ]			= date(TIME_FORMAT, $result['modified_when'] );
	$placeholders[ '{{ PAGE_MODIFIED_TIMESTAMP }}' ]	= $placeholders[ '{{ PAGE_MODIFIED_DATE }}' ] . " " . $placeholders[ '{{ PAGE_MODIFIED_TIME }}' ];

	if ( $page_modified_by != $result['modified_by'] ):
		$$page_modified_by = $result['modified_by'];
		$sql = 'SELECT display_name FROM `' . TABLE_PREFIX . 'users` ';
		$sql .= 'WHERE user_id = "' . $result['modified_by'] . '"';
		$placeholders[ '{{ PAGE_MODIFIED_BY }}' ]		= ( $database->get_one( $sql ) != false );
	endif;

?>
