<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


//overwrite php.ini on Apache servers for valid SESSION ID Separator
	if ( function_exists('ini_set') == TRUE):
		ini_set('arg_separator.output', '&amp;');
	endif;

// include function library
	require_once ( dirname(__FILE__) . "/lib/lib.modify.php");

// check if something is already saved for current section
	$start_from_page	= '';
	$run_with_menu		= '';
	$addon_page_start	= '';
	$addon_section_start = '';
	$addon_section_end	= '';
	$addon_page_end		= '';
	$in_ex_clude		= '';
	$in_ex_clude_list	= '';

	$query = 'SELECT `section_id`, `page_id`, `start_from_page`, `run_with_menu`
					 , `addon_page_start`, `addon_section_start`, `addon_section_end`, `addon_page_end`
					 , `in_ex_clude`, `in_ex_clude_list`
				FROM ' . TABLE_PREFIX . 'mod_content_collector
				WHERE section_id = "' . $section_id . '"';
	$query_data = $database->query($query);
	if ( $query_data->numRows() > 0 ):
		$result = $query_data->fetchRow();
	
		$start_from_page = $result["start_from_page"];
		$run_with_menu = $result["run_with_menu"];
		$addon_page_start = $result["addon_page_start"];
		$addon_section_start = $result["addon_section_start"];
		$addon_section_end = $result["addon_section_end"];
		$addon_page_end = $result["addon_page_end"];
		$in_ex_clude = $result["in_ex_clude"];
		$in_ex_clude_list = $result["in_ex_clude_list"];

		$collectionSaved = TRUE;
	else:
		$collectionSaved = FALSE;
	endif;

// load the correct language-file
	require_once ( dirname(__FILE__)."/register_language.php" );

// build list of all available sections as possible references
	$pages = Array();
	build_list( 0 );

// get menu defined in used template info.php
	$menues = array();
	$query = 'SELECT `value` FROM `'.TABLE_PREFIX.'settings` WHERE `name` = "default_template" ';
	$query_data = $database->query($query);
	if ( $query_data->numRows() > 0 ):
		$result = $query_data->fetchRow();
	
		$file_name = LEPTON_PATH . '/templates/' . $result["value"] . '/info.php';
		if ( file_exists( $file_name ) == TRUE ):
			// load the module addon
			require( $file_name );

			$menues = $menu;
		endif;
	endif;

// define placeholder help file
	$fileName = 'content_collector/languages/placeholder'. LANGUAGE .'.html';
	if ( file_exists( LEPTON_PATH . '/templates/' . DEFAULT_THEME . '/backend/' . $fileName ) == TRUE ):
		// use file in backend template
		$helpFile = LEPTON_URL . '/templates/' . DEFAULT_THEME . '/backend/' . $fileName;
	else:
		// use default file in module
		$helpFile = LEPTON_URL . '/modules/' . $fileName;
	endif;

?>


<form name="content_collector<?php echo $section_id; ?>" action="<?php echo LEPTON_URL; ?>/modules/content_collector/save.php" method="post">

	<input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />
	<input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />

	<table cellpadding="0" cellspacing="0" border="0" width="100%">

		<tr>
			<td colspan="2"><br /><br /><hr /></td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['START_FROM_PAGE']; ?> :</td>
			<td>
				<select name="start_from_page<?php echo $section_id; ?>" />
					<option value=""<?php echo $start_from_page == ''  ? 'selected="selected"' : ''; ?> ><?php echo $TEXT['PLEASE_SELECT']; ?></option>
					<option value="0" <?php echo $start_from_page == '0' ? 'selected="selected"' : ''; ?> ><?php echo $MOD_CONTENT_COLLECTOR['SM2_ROOT']; ?></option>
<?php
		reset($pages);
		while ( list( $key, $value ) = each( $pages ) ):
			echo '				<option ' . $value['disabled'] . ' ' . $value['selected'] . ' value ="' . substr($key, 1) . '">' . $value['data'] . '</option>' . PHP_EOL;
		endwhile;
?>
				</select>
			</td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['RUN_WITH_MENU']; ?> :</td>
			<td>
				<select name="run_with_menu<?php echo $section_id; ?>" />
					<option value=""<?php echo $run_with_menu == ''  ? 'selected="selected"' : ''; ?> ><?php echo $TEXT['PLEASE_SELECT']; ?></option>
					<option value="0" <?php echo $run_with_menu == '0' ? 'selected="selected"' : ''; ?> ><?php echo $MOD_CONTENT_COLLECTOR['SM2_ALLMENU']; ?></option>
<?php
		reset($menues);
		while ( list( $key, $value ) = each( $menues ) ):
			echo '				<option ' . ( $run_with_menu == $key ? 'selected="selected"' : '' ) . ' value ="' . $key . '">' . $value . '</option>' . PHP_EOL;
		endwhile;
?>
				</select>
			</td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['IN_EX_CLUDE']; ?> :</td>
			<td>
				<select name="in_ex_clude<?php echo $section_id; ?>" />
					<option value=""<?php echo $in_ex_clude == ''  ? 'selected="selected"' : ''; ?> ><?php echo $TEXT['PLEASE_SELECT']; ?></option>
					<option value="E" <?php echo $in_ex_clude == 'E' ? 'selected="selected"' : ''; ?> ><?php echo $MOD_CONTENT_COLLECTOR['EXCLUDE']; ?></option>
					<option value="I" <?php echo $in_ex_clude == 'I' ? 'selected="selected"' : ''; ?> ><?php echo $MOD_CONTENT_COLLECTOR['INCLUDE']; ?></option>
				</select>
				<input type="button" style="width: 100px;" <?php echo ( $collectionSaved == FALSE ? 'disabled="disabled"' : '' ); ?>
						onclick="javascript: window.location = '<?php echo LEPTON_URL; ?>/modules/content_collector/modify_select.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>';"
						value="<?php echo $MOD_CONTENT_COLLECTOR['SELECT'] ?>">
<?php echo ( substr_count($in_ex_clude_list, ':') > 0 ? '( ' . ( substr_count($in_ex_clude_list, ':') - 1 ) . ' )' : '' ); ?>
				<input type="hidden" name="in_ex_clude_orig<?php echo $section_id; ?>" value="<?php echo $in_ex_clude; ?>" />
				<input type="hidden" name="in_ex_clude_list<?php echo $section_id; ?>" value="<?php echo $in_ex_clude_list; ?>" />
				<br/>
				<?php echo ( $collectionSaved == FALSE ? '' : $MOD_CONTENT_COLLECTOR['SELECT_NOTE'] . '<br /><br />' ); ?>
			</td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['PLACEHOLDERS']; ?> :</td>
			<td>
				<p><?php echo $MOD_CONTENT_COLLECTOR['PLACEHOLDERS_TEXT']; ?>
				<a onclick="window.open(this.href, '', 'width=600,height=700,location=no,status=yes,scrollbars=yes,resizable=yes').focus(); return false;"
					href="<?php echo $helpFile; ?>">
					<?php echo $MOD_CONTENT_COLLECTOR['PLACEHOLDERS_SHOW']; ?>
				</a>
				<br />
				<br /></p>
			</td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['ADDON_PAGE_START']; ?> :</td>
			<td>
				<textarea name="addon_page_start<?php echo $section_id; ?>" cols="80" rows="4"><?php echo $addon_page_start; ?></textarea>

			</td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['ADDON_SECTION_START']; ?> :</td>
			<td>
				<textarea name="addon_section_start<?php echo $section_id; ?>" cols="80" rows="4"><?php echo $addon_section_start; ?></textarea>

			</td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['ADDON_SECTION_END']; ?> :</td>
			<td>
				<textarea name="addon_section_end<?php echo $section_id; ?>" cols="80" rows="4"><?php echo $addon_section_end; ?></textarea>

			</td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['ADDON_PAGE_END']; ?> :</td>
			<td>
				<textarea name="addon_page_end<?php echo $section_id; ?>" cols="80" rows="4"><?php echo $addon_page_end; ?></textarea>

			</td>
		</tr>
		<tr>
			<td colspan="2"><hr /></td>
		</tr>

		<tr>
			<td align="left"><input type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;" /></td>
			<td align="right"><input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick = "javascript: window.location='index.php';" style="width: 100px; margin-top: 5px;" /></td>
		</tr>
	</table>
</form>
