<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


//overwrite php.ini on Apache servers for valid SESSION ID Separator
	if ( function_exists('ini_set') == TRUE):
		ini_set('arg_separator.output', '&amp;');
	endif;

// Include admin wrapper script
	require( LEPTON_PATH . '/modules/admin.php' );

// get admin
	require_once(LEPTON_PATH.'/framework/class.admin.php');

// Get page details
	$results_array=$admin->get_page_details($page_id);

// Get display name of person who last modified the page
	$user=$admin->get_user_details($results_array['modified_by']);

// Convert the unix ts for modified_when to human a readable form
	$modified_ts = ($results_array['modified_when'] != 0)
		? $modified_ts = date(TIME_FORMAT.', '.DATE_FORMAT, $results_array['modified_when'])
		: 'Unknown';

// load the correct language-file
	require_once ( dirname(__FILE__)."/register_language.php" );

// check if something is already saved for current section
	$start_from_page  = '';
	$run_with_menu    = '';
	$in_ex_clude      = '';
	$in_ex_clude_list = '';

	$query = 'SELECT `section_id`, `page_id`, `start_from_page`, `run_with_menu`
					 , `in_ex_clude`, `in_ex_clude_list`
				FROM ' . TABLE_PREFIX . 'mod_content_collector
				WHERE section_id = "' . $section_id . '"';
	$query_data = $database->query($query);
	if ( $query_data->numRows() > 0 ):
		$result = $query_data->fetchRow();
	
		$start_from_page  = $result["start_from_page"];
		$run_with_menu    = $result["run_with_menu"];
		$in_ex_clude      = $result["in_ex_clude"];
		$in_ex_clude_list = $result["in_ex_clude_list"];
	else:
		$admin->print_error( $MOD_CONTENT_COLLECTOR['ERROR_CREATE_FIRST'], $js_back );
	endif;

// include function library
	require_once ( dirname(__FILE__) . "/lib/lib.modify_select.php");

// build the entry for the root page
	$references = Array();
	build_list( $start_from_page, TRUE );

// build list of all available sections as possible references, after root
	build_list( $start_from_page, FALSE );

?>

<div id="content_container">
	<div class="content">
		<div class="container">
			<table cellpadding="0" cellspacing="0" border="0" align="center" width="100%">
				<tr>
					<td align="left" width="50%" class="title page_info_head">
						<?php echo $HEADING['MODIFY_PAGE']; ?>
					</td>
					<td align="right" width="50%" class="page_info_head">
						<span class="button settings">
							<a href="<?php echo ADMIN_URL; ?>/pages/settings.php?page_id=<?php echo $page_id; ?>">
								<?php echo $TEXT['CHANGE_SETTINGS']; ?>
							</a>
						</span>
					</td>
				</tr>
				<tr>
					<td align="left" class="page_info"><?php echo $TEXT['CURRENT_PAGE']; ?>: <b><?php echo $results_array['page_title']; ?></b> - ID: <?php echo $page_id; ?></td>
					<td align="right" class="page_info">
						<?php echo $MESSAGE['PAGES_LAST_MODIFIED'] . ' ' . $user['display_name'] . ' (' . $user['username'] . '), ' . $modified_ts; ?>
					</td>
				</tr>
			</table>

			<div class="section_info" id="<?php echo SEC_ANCHOR . $section_id; ?>">
				<strong><?php echo $TEXT['BLOCK']; ?>:</strong>  <strong>Modul:</strong> content_collector | <strong>ID:</strong> <?php echo $section_id; ?> | <strong>NAME:</strong>
			</div>

<form name="content_collector<?php echo $section_id; ?>" action="<?php echo LEPTON_URL; ?>/modules/content_collector/save_select.php" method="post">

	<input type="hidden" name="page_id" value="<?php echo $page_id; ?>" />
	<input type="hidden" name="section_id" value="<?php echo $section_id; ?>" />

	<table cellpadding="0" cellspacing="0" border="0" width="100%">

		<tr>
			<td colspan="2"><br /><br /><hr /></td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['IN_EX_CLUDE']; ?> :</td>
			<td>
				<select name="in_ex_clude<?php echo $section_id; ?>" />
					<option value=""<?php echo $in_ex_clude == ''  ? 'selected="selected"' : ''; ?> ><?php echo $TEXT['PLEASE_SELECT']; ?></option>
					<option value="E" <?php echo $in_ex_clude == 'E' ? 'selected="selected"' : ''; ?> ><?php echo $MOD_CONTENT_COLLECTOR['EXCLUDE']; ?></option>
					<option value="I" <?php echo $in_ex_clude == 'I' ? 'selected="selected"' : ''; ?> ><?php echo $MOD_CONTENT_COLLECTOR['INCLUDE']; ?></option>
				</select>
			</td>
		</tr>

		<tr>
			<td></td>
			<td>
				<?php echo $MOD_CONTENT_COLLECTOR['SELECT_NOTE_2']; ?>
			</td>
		</tr>

		<tr>
			<td><?php echo $MOD_CONTENT_COLLECTOR['IN_EX_CLUDE_SELECT']; ?> :</td>
			<td>
				<fieldset>
<?php
		reset($references);
		$i = 0;
		while ( list( $key, $value ) = each( $references ) ):
			if ( array_key_exists( 'data', $value ) == TRUE ):
				$i++;
				$selected = '';
				if ( strpos( $in_ex_clude_list, ':' . $key . ':' ) !== false ):
					$selected = 'checked';
				endif;

				$disabled = '';
				if ( array_key_exists( 'disabled', $value ) == TRUE ):
					$disabled = $value['disabled'];
					$select = '';		// a disabled element can not be selected.
				endif;

				echo '					<label for="ie' . $i . '">' . PHP_EOL;
				echo '						<input type="checkbox" name="ie' . $section_id . '[]" value="' . $key  . '" id="ie' . $i . '" ' . $selected . ' ' . $disabled . ' >' . PHP_EOL;
				echo '							' . $value['data'] . PHP_EOL;
				echo '					</label><br/>' . PHP_EOL;
			endif;
		endwhile;
?>
				</fieldset>
			</td>
		</tr>

		<tr>
			<td colspan="2"><hr /></td>
		</tr>

		<tr>
			<td align="left"><input type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;" /></td>
			<td align="right">
				<input type="button" value="<?php echo $TEXT['CANCEL']; ?>"
						onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';"
						style="width: 100px; margin-top: 5px;" />
			</td>
		</tr>
	</table>
</form>

		</div>
	</div>
</div>

<?php
// Print admin footer
	$admin->print_footer();
?>
