<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


/*
 * Checks to be fullfilled before module can be installed
 * ======================================================
 *
 * Source: http://doc.lepton-cms.org/docu/english/home/addons/precheck.php.php
 *
 * Possible PRECHECK values are:
 *				LEPTON_VERSION / WB_VERSION
 *				PHP_VERSION
 *				PHP_EXTENSIONS
 *				PHP_SETTINGS
 *				WB_ADDONS
 *				CUSTOM_CHECKS
 *
 */

// Lepton/WB version
if ( defined('LEPTON_VERSION') == TRUE ):
	$PRECHECK['LEPTON_VERSION'] = array('VERSION' => '1.0', 'OPERATOR' => '>=');
else:
	$PRECHECK['WB_VERSION'] = array('VERSION' => '2.8.0', 'OPERATOR' => '>=');
endif;

// PHP Version
	$PRECHECK['PHP_VERSION'] = array('VERSION' => '5.2.6', 'OPERATOR' => '>=');
	
// PHP Extensions
	// $PRECHECK['PHP_EXTENSIONS'] = array('gd', 'libxml');
	
// PHP Settings
	// $PRECHECK['PHP_SETTINGS'] = array('display_errors' => '1', 'safe_mode' => '0');

// Module specific checks

// other specific checks
	// $status = file_exists(LEPTON_PATH . '/templates/blank/info.php');
	// $required = $TEXT['INSTALLED'];
	// $actual = ($status) ? $TEXT['INSTALLED'] : $TEXT['NOT_INSTALLED'];
 	// $PRECHECK['CUSTOM_CHECKS'] = array('Template: blank' => array('REQUIRED' => $required, 'ACTUAL' => $actual, 'STATUS' => $status ) );

?>
