<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */


if ( count( get_included_files() ) < 2 ) die();

global $lepton_filemanager;
if ( is_object($lepton_filemanager) == FALSE ):
	require_once( "../../framework/class.lepton.filemanager.php" );
endif;

/*
 * List of the files to register
 * ==============================
 *
 * Source: http://doc.lepton-cms.org/docu/english/home/addons/register-files.php
 *
 */

/* automatic registered files:
 * install.php
 * uninstall.php
 * upgrade.php
 * add.php
 * delete.php
 * modify.php
 * view.php
 */

// define the files to be registered
$files_to_register = array();
$files_to_register[] = '/modules/content_collector/README.de.txt';
$files_to_register[] = '/modules/content_collector/README.en.txt';
$files_to_register[] = '/modules/content_collector/backend.css';
$files_to_register[] = '/modules/content_collector/info.php';
$files_to_register[] = '/modules/content_collector/languages/DE.php';
$files_to_register[] = '/modules/content_collector/languages/EN.php';
$files_to_register[] = '/modules/content_collector/languages/placeholderDE.html';
$files_to_register[] = '/modules/content_collector/languages/placeholderEN.html';
$files_to_register[] = '/modules/content_collector/lib/lib.modify.php';
$files_to_register[] = '/modules/content_collector/lib/lib.modify_select.config.php';
$files_to_register[] = '/modules/content_collector/lib/lib.modify_select.php';
$files_to_register[] = '/modules/content_collector/lib/lib.placeholder.general.php';
$files_to_register[] = '/modules/content_collector/lib/lib.placeholder.page.php';
$files_to_register[] = '/modules/content_collector/lib/lib.placeholder.section.php';
$files_to_register[] = '/modules/content_collector/modify_select.php';
$files_to_register[] = '/modules/content_collector/precheck.php';
$files_to_register[] = '/modules/content_collector/register_language.php';
$files_to_register[] = '/modules/content_collector/save.php';
$files_to_register[] = '/modules/content_collector/save_select.php';
$files_to_register[] = '/modules/content_collector/search.php';

// register the files
	$lepton_filemanager->register( $files_to_register );

?>
