<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


// read the configuration
	require_once('../../config.php');

// Include LEPTON admin wrapper script
	$update_when_modified = true; // Tells script to update when this page was last updated
	require( LEPTON_PATH . '/modules/admin.php' );

// check if module language file exists for the language set by the user (e.g. DE, EN); fallback = EN
	$lang = dirname(__FILE__)."/languages/".LANGUAGE.".php";
	include( file_exists($lang) ? $lang : dirname(__FILE__)."/languages/EN.php" );

// Update id, anchor and target
	if ( isset( $_POST[ 'start_from_page' . $section_id] ) == TRUE ):
		$start_from_page		= $_POST['start_from_page' . $section_id];
		$run_with_menu			= $_POST['run_with_menu' . $section_id];
		$addon_page_start		= trim( addslashes( $_POST[ 'addon_page_start'    . $section_id ] ));
		$addon_section_start	= trim( addslashes( $_POST[ 'addon_section_start' . $section_id ] ));
		$addon_section_end		= trim( addslashes( $_POST[ 'addon_section_end'   . $section_id ] ));
		$addon_page_end			= trim( addslashes( $_POST[ 'addon_page_end'      . $section_id ] ));
		$in_ex_clude			= $_POST[ 'in_ex_clude'    . $section_id ];
		$in_ex_clude_orig		= $_POST[ 'in_ex_clude_orig'. $section_id ];

		// data validation for mandatory fields
		if ( $start_from_page >= 0 ):
			// OK
		else:
			$admin->print_error( $MOD_CONTENT_COLLECTOR['ERROR_MISSING_PAGE'], $js_back );
		endif;

		if ( $run_with_menu >= 0 ):
			// OK
		else:
			$admin->print_error( $MOD_CONTENT_COLLECTOR['ERROR_MISSING_MENU'], $js_back );
		endif;

		// reset in_ex_clude_list if in_ex_clude is empty
		if ( strlen( trim( $in_ex_clude )) == 0 ):
			$in_ex_clude_list = '';
		endif;

		// reset in_ex_clude_list if in_ex_clude has been changed
		if ( $in_ex_clude != $in_ex_clude_orig ):
			$in_ex_clude_list = '';
		endif;

		// write data to DB
		$query = 'INSERT INTO ' . TABLE_PREFIX . 'mod_content_collector
					(`section_id`, `page_id`, `start_from_page`, `run_with_menu`
					, `addon_page_start`, `addon_section_start`, `addon_section_end`, `addon_page_end`
					, `in_ex_clude` )
 VALUES
	 (' . $section_id
		. ', ' . $page_id
		. ', ' . $start_from_page
		. ', ' . $run_with_menu
		. ', "' . $addon_page_start . '"'
		. ', "' . $addon_section_start . '"'
		. ', "' . $addon_section_end . '"'
		. ', "' . $addon_page_end . '"'
		. ', "' . $in_ex_clude . '"'
	. ')';

		// do automatic update if duplicate on a unique key occurs
		// see: http://dev.mysql.com/doc/refman/5.0/en/insert-on-duplicate.html
		$query .= '

 ON DUPLICATE KEY UPDATE
 ';
		$query .= '`start_from_page`=' . $start_from_page
				. ', `run_with_menu`=' . $run_with_menu
				. ', `addon_page_start`="' . $addon_page_start . '"'
				. ', `addon_section_start`="' . $addon_section_start . '"'
				. ', `addon_section_end`="' . $addon_section_end . '"'
				. ', `addon_page_end`="' . $addon_page_end . '"'
				. ', `in_ex_clude`="' . $in_ex_clude . '"';

		$database->query($query);
		if ( $database->is_error() ):
			trigger_error(sprintf('[%s - %s] %s', __FILE__, __LINE__, $database->get_error()), E_USER_ERROR);
		endif;
	endif;

// Check if there is a database error, otherwise say successful
	$edit_page = ADMIN_URL . '/pages/modify.php?page_id=' . $page_id . '#' . SEC_ANCHOR . $section_id;
	if ( $database->is_error() ):
		$admin->print_error( $database->get_error(), $js_back );
	else:
		$admin->print_success($MESSAGE['PAGES']['SAVED'], $edit_page );
	endif;

// Print admin footer
	$admin->print_footer();

?>
