<?php

/**
 * collect content from all following pages from a defined start page onwards
 *
 * @module          content_collector
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 2.00.000 | 2015-11-29
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


// read the configuration
	require_once('../../config.php');

// Include LEPTON admin wrapper script
	$update_when_modified = true; // Tells script to update when this page was last updated
	require( LEPTON_PATH . '/modules/admin.php' );

// check if module language file exists for the language set by the user (e.g. DE, EN); fallback = EN
	$lang = dirname(__FILE__)."/languages/".LANGUAGE.".php";
	include( file_exists($lang) ? $lang : dirname(__FILE__)."/languages/EN.php" );

// Update id, anchor and target
	if ( isset( $_POST[ 'section_id' ] ) == TRUE ):
		$in_ex_clude			= $_POST[ 'in_ex_clude'     . $section_id ];

		// reset in_ex_clude_list
		$in_ex_clude_list = '';
		if ( strlen( trim( $in_ex_clude )) > 0 ):
			// serialize array of selected pages & sections
			$N = count( $_POST[ 'ie' . $section_id ] );

			if ( $N > 0 ):
				$in_ex_clude_list = ':';
				for( $i=0; $i < $N; $i++ ):
					$in_ex_clude_list .= trim( addslashes( $_POST[ 'ie' . $section_id ][$i] )) . ':';
				endfor;
			endif;
		endif;

		// write data to DB
		$query = 'UPDATE ' . TABLE_PREFIX . 'mod_content_collector';
		$query .= ' SET `in_ex_clude`      = "' . $in_ex_clude . '"';
		$query .= '    ,`in_ex_clude_list` = "' . $in_ex_clude_list . '"';
		$query .= ' WHERE `page_id`    = ' . $page_id;
		$query .= '   AND `section_id` = ' . $section_id;

		$database->query($query);
		if ( $database->is_error() ):
			trigger_error(sprintf('[%s - %s] %s', __FILE__, __LINE__, $database->get_error()), E_USER_ERROR);
		endif;
	endif;

// Check if there is a database error, otherwise say successful
	$edit_page = LEPTON_URL . '/modules/content_collector/modify_select.php?page_id=' . $page_id . '&section_id=' . $section_id;
	if ( $database->is_error() ):
		$admin->print_error( $database->get_error(), $js_back );
	else:
		$admin->print_success($MESSAGE['PAGES']['SAVED'], $edit_page );
	endif;

// Print admin footer
	$admin->print_footer();

?>
